{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
{{ anime_detail.title }}
{% endblock title %}
{% block body %}
<body class='body'>
    {% for contact in anime_list %}
    {# Each "contact" is a Contact model object. #}
    {{ contact.full_name|upper }}<br>
    {% endfor %}
    <h5 class='profile-name'>anime_list:</h5>
    {% for review in anime_list.object_list %}
        <div class='review-container'>
            <div class='review-header'>
                <div class='header-img'>
                    <img height='72' width='72' src={{ review.anime__image_url }}>
                </div>
                <div  class='header-text'>
                    <h5>Anime: {{ review.anime__title }}</h5>
                    <p>Status: {{ review.status }}</p>
                </div>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
        </div>
    {% endfor %}

    <div class="pagination review-container">
        <span class="step-links">
            {% if anime_list.has_previous %}
                <a href="?page=1">&laquo; first</a>
                <a href="?page={{ anime_list.previous_page_number }}">previous</a>
            {% endif %}

            <span class="current">
                Page {{ anime_list.number }} of {{ anime_list.paginator.num_pages }}.
            </span>

            {% if anime_list.has_next %}
                <a href="?page={{ anime_list.next_page_number }}">next</a>
                <a href="?page={{ anime_list.paginator.num_pages }}">last &raquo;</a>
            {% endif %}
        </span>
    </div>

</body>


{% endblock %}

